Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79827 - kcalc should have engineering notation
Summary: kcalc should have engineering notation
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdeutils
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 06:48 UTC by Stephen Rasku
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-26 16:50:07 UTC


Attachments (Terms of Use)

Description Stephen Rasku 2002-12-17 06:48:35 UTC
Description of problem:

Most scientific calculators have an engineering notation.  You should be able to
configure kcalc to use engineering notation.  In engineering notation, the
exponent is always a multiple of 3.  For example, the scientific notation number
3e+08 would be displayed as 300e+06.  This makes it easy to determine how many
million, billion, trillion, etc. my calculation worked out to.

Version-Release number of selected component (if applicable):

kcalc-3.0.3-0.7

How reproducible:

100%

Steps to Reproduce:
1.Multiply 3000*9000
    
Actual results:

It displays 2.7e+07.

Expected results:

If engineering notation was configured, it would display 270.e+e07

Comment 1 Stephen Rasku 2002-12-17 06:49:53 UTC
That should be 270.e+06.

Comment 2 Ngo Than 2004-10-26 16:50:07 UTC
it's a new feature request in KDE. Could you please report it to kde
bugzilla directly. Thanks


Note You need to log in before you can comment on or make changes to this bug.